package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.SchTerminatorConvert;
import com.docus.server.dto.scheduling.management.SchTerminatorDTO;
import com.docus.server.entity.scheduling.management.SchTerminator;
import com.docus.server.infrastructure.dao.ISchTerminatorDao;
import com.docus.server.service.ISchTerminatorService;
import com.docus.server.vo.scheduling.management.SchTerminatorVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 执行管理器 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@Service
public class SchTerminatorServiceImpl implements ISchTerminatorService {
    @Resource
    private ISchTerminatorDao iSchTerminatorDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchTerminatorVO findById(String id) {
        return SchTerminatorConvert.INSTANCE.convertVO(iSchTerminatorDao.findById(id));
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchTerminatorVO> search(SearchRequest searchRequest) {
        return SchTerminatorConvert.INSTANCE.convertVO(iSchTerminatorDao.search(searchRequest));
    }

    /**
     * 新增
     *
     * @param schTerminatorDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchTerminatorDTO schTerminatorDTO) {
        SchTerminator schTerminator = SchTerminatorConvert.INSTANCE.convertDO(schTerminatorDTO);
        return iSchTerminatorDao.add(schTerminator);
    }

    /**
     * 编辑
     *
     * @param schTerminatorDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchTerminatorDTO schTerminatorDTO) {
        SchTerminator schTerminator = SchTerminatorConvert.INSTANCE.convertDO(schTerminatorDTO);
        return iSchTerminatorDao.edit(schTerminator);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchTerminatorDao.delete(ids);
    }
}

